<template>
  <div class="TurnStatus">
    <span class="TurnStatus__turnCounter">Turn {{ turnCounter }}</span>
    <span class="TurnStatus__playerTurn">Player {{ isPlayerOneTurn ? "1" : "2" }}'s Turn</span>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { Prop, Component } from "vue-property-decorator";

@Component
export default class TurnStatus extends Vue {
  @Prop() private turnCounter!: number;
  @Prop() private isPlayerOneTurn!: boolean;
}
</script>

<style>
.TurnStatus {
  display: flex;
  align-items: center;
  padding: 1rem;
  background-color: gray;
  border: 1px solid white;
  border-radius: 0.25rem;
  -webkit-box-shadow: 10px 10px 14px -4px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 10px 10px 14px -4px rgba(0, 0, 0, 0.75);
  box-shadow: 10px 10px 14px -4px rgba(0, 0, 0, 0.75);
  font-size: 1.5rem;
}

.TurnStatus__turnCounter {
    margin-right: 2rem;
}
</style>
